Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.roller.presentation.tags.menu
Class EditorNavigationBarTag  view EditorNavigationBarTag download EditorNavigationBarTag.java

java.lang.Object
  extended byjavax.servlet.jsp.tagext.TagSupport
      extended byorg.roller.presentation.tags.HybridTag
          extended byorg.roller.presentation.tags.VelocityTag
              extended byorg.roller.presentation.tags.menu.MenuTag
                  extended byorg.roller.presentation.tags.menu.EditorNavigationBarTag
All Implemented Interfaces:
javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class EditorNavigationBarTag
extends MenuTag

Draws the most complete possible Roller navigation bar based on request parameters userName, folderId and authenticated user (if there is one).


Field Summary
private static org.apache.commons.logging.Log mLogger
           
 
Fields inherited from class org.roller.presentation.tags.menu.MenuTag
 
Fields inherited from class org.roller.presentation.tags.VelocityTag
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
id, pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
EditorNavigationBarTag()
           
 
Method Summary
 int doEndTag(java.io.PrintWriter pw)
          Check all all the public properties that must be set by now, either by tag arguments or tag children.
 java.lang.String view()
           
 
Methods inherited from class org.roller.presentation.tags.menu.MenuTag
getId, getModel, getTemplateClasspath, getView, prepareContext, setId, setModel, setView
 
Methods inherited from class org.roller.presentation.tags.VelocityTag
doStandaloneTest, doStartTag, getVelocityClasspathResource, release
 
Methods inherited from class org.roller.presentation.tags.HybridTag
doEndTag, doStartTag, emit, toString
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
doAfterBody, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Field Detail

mLogger

private static org.apache.commons.logging.Log mLogger
Constructor Detail

EditorNavigationBarTag

public EditorNavigationBarTag()
Method Detail

view

public java.lang.String view()

doEndTag

public int doEndTag(java.io.PrintWriter pw)
             throws javax.servlet.jsp.JspException
Description copied from class: org.roller.presentation.tags.VelocityTag
Check all all the public properties that must be set by now, either by tag arguments or tag children.